Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
errore "Inconsistency detected by ld.so" [RISOLTO]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
MajinJoko
l33t
l33t


Joined: 20 Sep 2005
Posts: 639
Location: Bergamo / Verona

PostPosted: Fri Jan 28, 2011 11:28 am    Post subject: errore "Inconsistency detected by ld.so" [RISOLTO] Reply with quote

Buongiorno a tutti.

Stamattina Firefox ha deciso di non avviarsi più.
Questo è quello che succede:
Quote:
$ firefox
Inconsistency detected by ld.so: dl-open.c: 582: _dl_open: Assertion `_dl_debug_initialize (0, args.nsid)->r_state == RT_CONSISTENT' failed!

Se lo avvio con l'opzione -safe-mode si apre, ma crasha con un errore simile quando apro gmail (ma sarà solo gmail?).

Ho installato Opera (da cui scrivo ora) e anche lui in avvio lamenta questo errore, ma parte e funziona senza problemi.

Ho già riemerso firefox ed eseguito un revdep-rebuild, ma senza fortuna alcuna.

Ieri avevo emerso questi pacchetti:
    Thu Jan 27 16:54:27 2011 >>> app-shells/bash-4.1_p9
    Thu Jan 27 16:54:47 2011 >>> media-libs/libpng-1.4.5
    Thu Jan 27 16:55:06 2011 >>> media-libs/libid3tag-0.15.1b-r2
    Thu Jan 27 16:55:53 2011 >>> gnome-base/libglade-2.6.4
    Thu Jan 27 16:56:25 2011 >>> dev-libs/libcroco-0.6.2
    Thu Jan 27 16:56:33 2011 >>> app-shells/gentoo-bashcomp-20101217
    Thu Jan 27 16:57:28 2011 >>> net-wireless/bluez-4.80
    Thu Jan 27 16:59:28 2011 >>> sys-apps/hal-0.5.14-r4
    Thu Jan 27 17:44:39 2011 >>> kde-base/kdelibs-4.4.5-r2
    Thu Jan 27 17:48:36 2011 >>> gnome-extra/gnome-games-2.28.2
    Thu Jan 27 17:48:56 2011 >>> app-emulation/playonlinux-3.8.8
    Thu Jan 27 17:49:37 2011 >>> gnome-extra/gcalctool-5.28.2
    Thu Jan 27 17:54:04 2011 >>> gnome-base/libgnomeui-2.24.4
    Thu Jan 27 17:54:17 2011 >>> dev-python/pyxdg-0.19
    Thu Jan 27 17:58:23 2011 >>> media-gfx/sane-backends-1.0.21-r1

Mentre firefox, versione 3.6.13, è sempre quello che installai il 16 dicembre.

Avete una vaga idea di come uscire da questo pantano?

Grazie mille.
_________________
[(.. watashi wa Urumi Kanzaki ga suki da ..)]


Last edited by MajinJoko on Fri Jan 28, 2011 8:05 pm; edited 1 time in total
Back to top
View user's profile Send private message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Fri Jan 28, 2011 6:02 pm    Post subject: Reply with quote

Ciao!!!
Pupoi postare l'output di questi comandi :
Code:

ldd /usr/lib/libpng14.so
ldd /usr/lib/libpulse.so.0
ldd /usr/bin/firefox


Mi puoi dire se il tuo sistema e a 32 bit o 64 ?
Il problema si verifica solo con firefox o anche con chrome?

Dai una lettura a questo : http://www.luxpopuli.fr/Internet/GMail-GoogleTalk-ou-le-chat-audio-video-sous-Debian-64-bits
E' in francese.... :lol: :lol: :lol:
_________________
Pygoscelis papua, chiamato Gentoo dagli abitanti delle isole Falkland/Malvinas, noto per essere il pinguino più veloce!!! XD
Back to top
View user's profile Send private message
MajinJoko
l33t
l33t


Joined: 20 Sep 2005
Posts: 639
Location: Bergamo / Verona

PostPosted: Fri Jan 28, 2011 6:56 pm    Post subject: Reply with quote

Grazie per l'aiuto.

Riporto:
Quote:
$ ldd /usr/lib/libpng14.so
linux-gate.so.1 => (0xb77d9000)
libz.so.1 => /lib/libz.so.1 (0xb7780000)
libm.so.6 => /lib/libm.so.6 (0xb775a000)
libc.so.6 => /lib/libc.so.6 (0xb7615000)
/lib/ld-linux.so.2 (0xb77da000)

Quote:
$ ldd /usr/lib/libpulse.so.0
ldd: /usr/lib/libpulse.so.0: No such file or directory

(abbastanza naturale, non uso pulseaudio ma gstreamer)
Quote:
$ ldd /usr/bin/firefox
linux-gate.so.1 => (0xb77b3000)
libpthread.so.0 => /lib/libpthread.so.0 (0xb7779000)
libdl.so.2 => /lib/libdl.so.2 (0xb7775000)
libstdc++.so.6 => /usr/lib/gcc/i686-pc-linux-gnu/4.4.4/libstdc++.so.6 (0xb7688000)
libc.so.6 => /lib/libc.so.6 (0xb7543000)
/lib/ld-linux.so.2 (0xb77b4000)
libm.so.6 => /lib/libm.so.6 (0xb751c000)
libgcc_s.so.1 => /usr/lib/gcc/i686-pc-linux-gnu/4.4.4/libgcc_s.so.1 (0xb7500000)


Il mio sistema è uno stable a 32 bit.
Come avevo scritto in precedenza, con Firefox l'errore ne blocca l'avvio, con Opera viene riportato ma riesce ad andare oltre.
Non ho chrome installato.

In effetti la colpa è di google-talk-plugin.
Se lo disinstallo, firefox si avvia.
Avevo la 1.4.1, passando alla 1.8.0 il problema resta uguale.

Per il momento, disinstallo google-talk-plugin e ricomincio a navigare. Ho letto la pagina che mi hai linkato, ma grazie alle mie ridotte capacità mentali temo di non aver trovato la soluzione al mio problema, se esiste.

Posso vivere anche senza google talk, ma mi piacerebbe risolvere..
_________________
[(.. watashi wa Urumi Kanzaki ga suki da ..)]
Back to top
View user's profile Send private message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Fri Jan 28, 2011 7:31 pm    Post subject: Reply with quote

hai gia letto questo ??
https://bugs.gentoo.org/show_bug.cgi?id=346533
_________________
Pygoscelis papua, chiamato Gentoo dagli abitanti delle isole Falkland/Malvinas, noto per essere il pinguino più veloce!!! XD
Back to top
View user's profile Send private message
MajinJoko
l33t
l33t


Joined: 20 Sep 2005
Posts: 639
Location: Bergamo / Verona

PostPosted: Fri Jan 28, 2011 7:43 pm    Post subject: Reply with quote

Pes88 wrote:
hai gia letto questo ??
https://bugs.gentoo.org/show_bug.cgi?id=346533


BINGO!

Per la verità l'avevo letta, ma non con la dovuta attenzione. All'ultimo commento era postata la soluzione:
Code:
emerge =libpng-1.2.44


Grazie mille, vedrò di sdebitarmi :wink:
_________________
[(.. watashi wa Urumi Kanzaki ga suki da ..)]
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Fri Jan 28, 2011 7:46 pm    Post subject: Reply with quote

MajinJoko wrote:

In effetti la colpa è di google-talk-plugin.

qualche tempo fa, avevo dovuto aggiungere nell'ebuild di googletalk-plugin questo link un po' assurdo:
Code:

ln -s /opt/google/talkplugin/lib/libCg.so "${D}/lib"

poi, lo ho fatto notare su bugzilla, ma loro mi hanno risposto con una decina di giorni di ritardo che il mio link era (diventato) superfluo.

fai un controllo con ldd e prova ad aggiungere qualche pezza come la mia.
purtroppo, continuano a distribuire quei software in formato binario, linkati staticamente sui percorsi di Ubuntu, che non sempre coincidono con quelli Gentoo.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
MajinJoko
l33t
l33t


Joined: 20 Sep 2005
Posts: 639
Location: Bergamo / Verona

PostPosted: Fri Jan 28, 2011 8:04 pm    Post subject: Reply with quote

Ti ringrazio, ma ricompilando libpng si è risolto, e il plugin funziona.

Approposito ora metto "Risolto".


Grazie mille per l'aiuto
_________________
[(.. watashi wa Urumi Kanzaki ga suki da ..)]
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum